#!/bin/sh

read -r stat </sys/class/power_supply/ACAD/online
read -r cap </sys/class/power_supply/BAT1/capacity
read -r volt </sys/class/power_supply/BAT1/voltage_now
read -r curr </sys/class/power_supply/BAT1/current_now

w=$((volt*curr/1000000000000))
if [ "$stat" = "1" ]; then
	echo "🔌 $cap% ${w}W"
else
	echo "🔋 $cap% ${w}W"
	[ "$cap" -lt "15" ] && exit 33
fi
